"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GEL_MINION = exports.GEL_BREVIER = exports.GEL_LONG_PRIMER = exports.GEL_PICA = exports.GEL_BODY_COPY = exports.GEL_GREAT_PRIMER = exports.GEL_DOUBLE_PICA = exports.GEL_PARAGON = exports.GEL_TRAFALGAR = exports.GEL_CANON = exports.GEL_FOOLSCAP = exports.GEL_ROYAL = exports.GEL_IMPERIAL = exports.GEL_ELEPHANT = exports.GEL_ATLAS = void 0;

var _breakpoints = require("./breakpoints");

var GEL_ATLAS = "\n  font-size: 4.875em;\n  line-height: 5.25rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 6em;\n    line-height: 6.5rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 8.75em;\n    line-height: 9.25rem;\n  }\n");
exports.GEL_ATLAS = GEL_ATLAS;
var GEL_ELEPHANT = "\n  font-size: 3.75em;\n  line-height: 4rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 4.875em;\n    line-height: 5.25rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 7.25em;\n    line-height: 7.75rem;\n  }\n");
exports.GEL_ELEPHANT = GEL_ELEPHANT;
var GEL_IMPERIAL = "\n  font-size: 3.125em;\n  line-height: 3.375rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 4em;\n    line-height: 4.5rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 6em;\n    line-height: 6.5rem;\n  }\n");
exports.GEL_IMPERIAL = GEL_IMPERIAL;
var GEL_ROYAL = "\n  font-size: 2.5em;\n  line-height: 2.75rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 3.25em;\n    line-height: 3.75rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 4.75em;\n    line-height: 5.25rem;\n  }\n");
exports.GEL_ROYAL = GEL_ROYAL;
var GEL_FOOLSCAP = "\n  font-size: 2em;\n  line-height: 2.25rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 2.5em;\n    line-height: 2.75rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 3.5em;\n    line-height: 3.75rem;\n  }\n");
exports.GEL_FOOLSCAP = GEL_FOOLSCAP;
var GEL_CANON = "\n  font-size: 1.75em;\n  line-height: 2rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 2em;\n    line-height: 2.25rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 2.75em;\n    line-height: 3rem;\n  }\n");
exports.GEL_CANON = GEL_CANON;
var GEL_TRAFALGAR = "\n  font-size: 1.25em;\n  line-height: 1.5rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 1.5em;\n    line-height: 1.75rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 2em;\n    line-height: 2.25rem;\n  }\n");
exports.GEL_TRAFALGAR = GEL_TRAFALGAR;
var GEL_PARAGON = "\n  font-size: 1.25em;\n  line-height: 1.5rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    font-size: 1.375em;\n    line-height: 1.625rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 1.75em;\n    line-height: 2rem;\n  }\n");
exports.GEL_PARAGON = GEL_PARAGON;
var GEL_DOUBLE_PICA = "\n  font-size: 1.25em;\n  line-height: 1.5rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 1.5em;\n    line-height: 1.75rem;\n  }\n");
exports.GEL_DOUBLE_PICA = GEL_DOUBLE_PICA;
var GEL_GREAT_PRIMER = "\n  font-size: 1.125em;\n  line-height: 1.375rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 1.25em;\n    line-height: 1.5rem;\n  }\n");
exports.GEL_GREAT_PRIMER = GEL_GREAT_PRIMER;
var GEL_BODY_COPY = "\n  font-size: 0.9375em;\n  line-height: 1.25rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_AND_LARGER, " {\n    font-size: 1em;\n    line-height: 1.375rem;\n  }\n");
exports.GEL_BODY_COPY = GEL_BODY_COPY;
var GEL_PICA = "\n  font-size: 0.9375em;\n  line-height: 1.25rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_AND_LARGER, " {\n    font-size: 1em;\n    line-height: 1.25rem;\n  }\n");
exports.GEL_PICA = GEL_PICA;
var GEL_LONG_PRIMER = "\n  font-size: 0.9375em;\n  line-height: 1.125rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 0.875em;\n  }\n");
exports.GEL_LONG_PRIMER = GEL_LONG_PRIMER;
var GEL_BREVIER = "\n  font-size: 0.875em;\n  line-height: 1rem;\n\n  ".concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.SMART_PHONE_ONLY, " {\n    line-height: 1.125rem;\n  }\n\n  ").concat(_breakpoints.MEDIA_QUERY_TYPOGRAPHY.LAPTOP_AND_LARGER, " {\n    font-size: 0.8125em;\n  }\n");
exports.GEL_BREVIER = GEL_BREVIER;
var GEL_MINION = "\n  font-size: 0.75em;\n  line-height: 1em;\n";
exports.GEL_MINION = GEL_MINION;